package com.elink.aicare;

import com.alibaba.fastjson.JSON;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;


@RestController
@RequestMapping(value="/",produces={"application/json;charset=UTF-8"})
public class DemoController {

    /**
     * 获取体脂数据
     *
     */
    @RequestMapping(value = "getBodyFat")
    public Object sendCode(@RequestBody BodyFatData bodyFatData, HttpServletRequest request, BindingResult result) {
        int sex=1;
        int age=24;
        double weight = 60.5;
        int height = 180;
        int adc = 500;
        bodyFatData = BodyFatAlgorithmUtils.getBodyFatData(0,sex,age,weight,height,adc);
        System.out.println(JSON.toJSONString(bodyFatData));
        return bodyFatData;
    }
}
